# Listes de diffusion - mailing-lists

En plus des comptes mails individuels, le Crans propose un service
de mailing-lists, listes de diffusion en bon français, accessible
[ici](https://lists.crans.org/postorius/lists/).
Actuellement (juin 2025),
le service est propulsé par Mailman 3 et l'interface d'administration
utilise, au choix, Postorius ou Hyperkitty.
La VM sous-jacente tourne sous Debian.

## Filtre anti-bots

Une fenêtre pop-up doit apparaître lorsque l'on se rend sur l'URL ci-dessus.
L'identifiant et le mot de passe sont simples pour un humain et donnés
en cas d'échec de connexion. On les rappelle ici :

- Identifiant : Stop
- Mot de passe : Spam

## Comptes

Mailman dispose de ses propres comptes et il n'est pas nécessaire
de disposer d'un compte Crans pour utiliser le service.
Il est en revanche possible d'utiliser un compte Crans pour
contrôler un compte Mailman, à travers le CAS.

Toute personne, même non adhérente au Crans ou extérieure à
l'ENS peut créer un compte sur Mailman. À un compte Mailman,
on peut associer plusieurs adresses mail, selon ses besoins.

Enfin, pour être simplement abonné à une liste, il n'y a
aucune condition particulière à remplir.

## Droits sur les listes

Les nounous peuvent créer de nouvelles listes, sur demande
d'adhérents ou de clubs. Il est demandé aux requérants
d'envoyer leur demande sur l'adresse des nounous
pour garder une trace.
La convention de nommage se trouve
[sur le Wiki](https://wiki.crans.org/CransTechnique/ConventionsUtiles/NomsML).
(Il est nécessaire de se connecter au Wiki pour lire la page.)

Les nounous peuvent également supprimer ou archiver une mailing-list devenue
obsolète, soit sur demande des intéressés, soit par décision du CT.

Chaque liste a ses abonnés, ses propriétaires et ses modérateurs.
Les propriétaires peuvent :

- gérer les modérateurs, modératrices et propriétaires,
- gérer les paramètres de la liste (dont ceux de modération automatique),
- abonner ou désabonner des adresses mail (y compris en masse),
- modérer les messages.

Le rôle des modérateurs, des modératrices et des propriétaires
est de filtrer les messages mis en attente de distribution
(envoi par un non abonné, message trop volumineux, les critères varient).

## Messages automatiques

Lorsqu'un message envoyé à une liste est mis en attente
d'être modéré, un email est automatiquement envoyé aux
modérateurs de la liste. Cet email automatique admet
une forme par défaut (qui vient avec l'installation de Mailman),
mais il est possible de modifier le format pour le rendre
plus lisible et accessible à des novices,
qui ne savent pas nécessairement quoi faire.

Un événement déclencheur (abonnement, désabonnement,
message en modération, bounce score qui augmente, etc)
a son propre mail automatique, dont le template
peut être modifié. Chacun de ces templates a trois
scopes qui sont appliqués avec une priorité décroissante :

- liste (ex : nom_de_votre_liste@lists.crans.org)
- domaine (ex : lists.crans.org)
- site (l'installation courante de Mailman).

De fait, le niveau intermédiaire n'a pas d'intérêt pour le Crans,
puisqu'on ne gère qu'un seul domaine.
(Et de toute façon, on a essayé de trouver où poser le template
et on a pas trouvé.)

Un template doit

- être nommé en suivant une syntaxe précise (cf la [doc officielle](https://docs.mailman3.org/projects/mailman/en/latest/src/mailman/rest/docs/templates.html))
- utiliser les mêmes noms de variables que Mailman, codées en dur,
- être placé dans le bon dossier, avec le bon nom, sinon il ne sera pas lu.

Un template global pour les messages de modération au
niveau de Mailman a été placé sur la VM Mailman dans
`/var/lib/mailman3/templates/sites/fr` et nommé,
comme le veut la convention, `list:admin:action:post.txt`.
Ce message est particulièrement important,
compte tenu du nombre de débutants utilisant le service chaque année.

Pour modifier un template de $liste, il faut placer le fichier dans le dossier
`var/lib/mailman3/templates/lists/$liste` à la place.

## Archives

Les messages envoyés à une mailing-list sont archivés directement
sur le serveur et accessibles en lecture depuis l'interface web,
sur la page d'accueil de $liste,
à l'adresse `https://lists.crans.org/postorius/lists/$liste.lists.crans.org/`.

## Modération

Pré-requis : être propriétaire de la liste.

Pour modifier les règles de modération automatique d'une liste, se rendre sur
sa page d'accueil, puis sur l'onglet `Paramètres`, sous-onglet
`Message Acceptance`
(ou directement sur `https://lists.crans.org/postorius/lists/$list.lists.crans.org/settings/message_acceptance`).
La plupart des options sont expliquées directement sur la page, mais on en
décrira quelques unes ici.

### Action par défaut

Existe en deux versions (abonné et non abonné à la liste). Mettre sur
liste blanche les adresses des abonnés a souvent du sens
(par exemple pour une ML de club).

### Taille maximale

Si votre message dépasse la taille fixée, il passera nécessairement en modération,
même si vous êtes sur liste blanche.

### Accepter ces non-membres

Permet de mettre sur liste blanche une liste d'adresses (ou de regex d'adresses)
pour éviter de devoir modérer leurs messages.

### Rejeter ces non-abonnés

Pratique pour se débarrasser de spammeurs. L'expéditeur reçoit une
notification de rejet.

### Ignorer ces non-abonnés

Pareil, mais le message est détruit silencieusement et l'expéditeur n'en sait rien.
Dangereux, à ne pas utiliser si vous craignez de perdre un mail important.
